// Compiled by ClojureScript 1.9.562 {}
goog.provide('weathergen.progress');
goog.require('cljs.core');
weathergen.progress._STAR_reporter_STAR_ = null;
/**
 * Reports progress via `*reporter*`, if bound.
 */
weathergen.progress.report = (function weathergen$progress$report(message){
if(cljs.core.truth_(weathergen.progress._STAR_reporter_STAR_)){
return weathergen.progress._STAR_reporter_STAR_.call(null,message);
} else {
return null;
}
});
